import pyspark
# Note we need pyspark.sql to get SparkSession
from pyspark.sql import SparkSession
from numpy import random

# Here is where we define the new parameters (Application Name and  
# spark.executor.instances Also, getOrCreate() will add to the existing
# SparkSession or create a new one if none exists.
spark = SparkSession.builder \
.appName("Pi Estimate 2") \
.config('spark.executor.instances', '4') \
.getOrCreate()
# update the Spark context.
sc=spark.sparkContext

n=1000000
def sample(p):
    x, y = random.random(), random.random()
    return 1 if x*x + y*y < 1 else 0
# we could substitute "spark.sparkContext" for "sc" and it will work
count = sc.parallelize(range(0,n)).map(sample).reduce(lambda a, b: a + b)
print("Pi is roughly %f" % (4.0 * count / n))

